LinuxQMISDK: qaGobiApiIms.h File Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- File List
- Globals

Data Structures | Functions
qaGobiApiIms.h File Reference
IMS Service (IMS)

IMS Service API function prototypes. More...

Go to the source code of this file.

## Data Structures
struct | SetSIPConfigReq
struct | SetSIPConfigResp
struct | SetRegMgrConfigReq
struct | SetRegMgrConfigResp
struct | SetIMSSMSConfigReq
struct | SetIMSSMSConfigResp
struct | SetIMSUserConfigReq
struct | SetIMSUserConfigResp
struct | SetIMSVoIPConfigReq
struct | SetIMSVoIPConfigResp
struct | GetSIPConfigResp
struct | GetRegMgrConfigParams
struct | GetIMSSMSConfigParams
struct | GetIMSUserConfigParams
struct | GetIMSVoIPConfigResp
struct | imsCfgIndRegisterInfo

## Functions
ULONG | SLQSSetSIPConfig (SetSIPConfigReq *pSetSIPConfigReq, SetSIPConfigResp *pSetSIPConfigResp)
ULONG | SLQSSetRegMgrConfig (SetRegMgrConfigReq *pSetRegMgrConfigReq, SetRegMgrConfigResp *pSetRegMgrConfigResp)
ULONG | SLQSSetIMSSMSConfig (SetIMSSMSConfigReq *pSetIMSSMSConfigReq, SetIMSSMSConfigResp *pSetIMSSMSConfigResp)
ULONG | SLQSSetIMSUserConfig (SetIMSUserConfigReq *pSetIMSUserConfigReq, SetIMSUserConfigResp *pSetIMSUserConfigResp)
ULONG | SLQSSetIMSVoIPConfig (SetIMSVoIPConfigReq *pSetIMSVoIPConfigReq, SetIMSVoIPConfigResp *pSetIMSVoIPConfigResp)
ULONG | SLQSGetSIPConfig (GetSIPConfigResp *pGetSIPConfigResp)
ULONG | SLQSGetRegMgrConfig (GetRegMgrConfigParams *pGetRegMgrConfigParams)
ULONG | SLQSGetIMSSMSConfig (GetIMSSMSConfigParams *pGetIMSSMSConfigParams)
ULONG | SLQSGetIMSUserConfig (GetIMSUserConfigParams *pGetIMSUserConfigParams)
ULONG | SLQSGetIMSVoIPConfig (GetIMSVoIPConfigResp *pGetIMSVoIPConfigResp)
ULONG | SLQSImsConfigIndicationRegister (imsCfgIndRegisterInfo *pImsCfgIndRegisterInfo)

## Detailed Description

IMS Service API function prototypes.

Copyright: © 2013 Sierra Wireless, Inc. all rights reserved

## Function Documentation

ULONG SLQSGetIMSSMSConfig | ( | GetIMSSMSConfigParams * | pGetIMSSMSConfigParams | ) |

This API retrieves the SMS configuration parameters.

Parameters

  pGetIMSSMSConfigParams[IN/OUT] | See GetIMSSMSConfigParams for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Device Supported: MC7800
  Timeout: 5 seconds

ULONG SLQSGetIMSUserConfig | ( | GetIMSUserConfigParams * | pGetIMSUserConfigParams | ) |

This API retrieves the IMS User configuration parameters.

Parameters

  pGetIMSUserConfigParams[IN/OUT] | See GetIMSUserConfigParams for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Device Supported: MC7800
  Timeout: 5 seconds

ULONG SLQSGetIMSVoIPConfig | ( | GetIMSVoIPConfigResp * | pGetIMSVoIPConfigResp | ) |

This API retrieves the IMS VoIP configuration parameters.

Parameters

  GetIMSVoIPConfigResp[OUT] | See GetIMSVoIPConfigResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Device Supported: MC7800
  Timeout: 5 seconds

ULONG SLQSGetRegMgrConfig | ( | GetRegMgrConfigParams * | pGetRegMgrConfigParams | ) |

This API retrieves the registration manager configuration parameters.

Parameters

  pGetRegMgrConfigParams[IN/OUT] | See GetRegMgrConfigResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Device Supported: MC7800
  Timeout: 5 seconds

ULONG SLQSGetSIPConfig | ( | GetSIPConfigResp * | pGetSIPConfigResp | ) |

This API retrieves the Session Initiation Protocol(SIP) configuration parameters.

Parameters

  pGetSIPConfigResp[OUT] | See GetSIPConfigResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Device Supported: MC7800
  Timeout: 5 seconds

ULONG SLQSImsConfigIndicationRegister | ( | imsCfgIndRegisterInfo * | pImsCfgIndRegisterInfo | ) |

Sets the registration state for different QMI_IMS indications for the requesting control point

Parameters

  pImsCfgIndRegisterInfo[IN] | Structure containing Indication Register Information. See imsCfgIndRegisterInfo for more informtaion.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Device Supported: MC7800
  Timeout: 10 Secs

This API is used by a device to register/deregister for different QMI IMS indications. The device's registration state variables that control registration for indications will be modified to reflect the settings indicated in the request message. At least one optional parameter must be present in the request.

ULONG SLQSSetIMSSMSConfig | ( | SetIMSSMSConfigReq * | pSetIMSSMSConfigReq,
|  | SetIMSSMSConfigResp * | pSetIMSSMSConfigResp
| ) |  |

This API sets the IMS SMS configuration parameters for the requesting control point.

Parameters

  pSetIMSSMSConfigReq[IN] | See SetIMSSMSConfigReq for more information
  pSetIMSSMSConfigResp[OUT] | See SetIMSSMSConfigResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Device Supported: MC7800
  Timeout: 5 seconds

ULONG SLQSSetIMSUserConfig | ( | SetIMSUserConfigReq * | pSetIMSUserConfigReq,
|  | SetIMSUserConfigResp * | pSetIMSUserConfigResp
| ) |  |

This API sets the IMS user configuration parameters for the requesting control point.

Parameters

  pSetIMSUserConfigReq[IN] | See SetIMSUserConfigReq for more information
  pSetIMSUserConfigResp[OUT] | See SetIMSUserConfigResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Device Supported: MC7800
  Timeout: 5 seconds

ULONG SLQSSetIMSVoIPConfig | ( | SetIMSVoIPConfigReq * | pSetIMSVoIPConfigReq,
|  | SetIMSVoIPConfigResp * | pSetIMSVoIPConfigResp
| ) |  |

This API sets the IMS Voice over Internet Protocol (VoIP) configuration parameters for the requesting control point.

Parameters

  pSetIMSVoIPConfigReq[IN] | See SetIMSVoIPConfigReq for more information
  pSetIMSVoIPConfigResp[OUT] | See SetIMSVoIPConfigResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Device Supported: MC7800
  Timeout: 5 seconds

ULONG SLQSSetRegMgrConfig | ( | SetRegMgrConfigReq * | pSetRegMgrConfigReq,
|  | SetRegMgrConfigResp * | pSetRegMgrConfigResp
| ) |  |

This API sets the IMS registration manager configuration parameters for the requesting control point.

Parameters

  pSetRegMgrConfigReq[IN] | See SetRegMgrConfigReq for more information
  pSetRegMgrConfigResp[OUT] | See SetRegMgrConfigResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Device Supported: MC7800
  Timeout: 5 seconds

ULONG SLQSSetSIPConfig | ( | SetSIPConfigReq * | pSetSIPConfigReq,
|  | SetSIPConfigResp * | pSetSIPConfigResp
| ) |  |

This API sets the IMS Session Initiation Protocol(SIP) configuration parameters for the requesting control point.

Parameters

  pSetSIPConfigReq[IN] | See SetSIPConfigReq for more information
  pSetSIPConfigResp[OUT] | See SetSIPConfigResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: NA
  Device Supported: MC7800
  Timeout: 5 seconds